const chai = require('chai');
const chaiHttp = require('chai-http');
const app = require('../app'); // Import your Express app
const expect = chai.expect;

chai.use(chaiHttp);

describe('Authentication Routes', () => {
    // Test the GET /login route
    describe('GET /login', () => {
        it('should render the login page', (done) => {
            chai.request(app)
                .get('/login')
                .end((err, res) => {
                    expect(res).to.have.status(200);
                    expect(res.text).to.include('Connexion'); // Check if the login page is rendered
                    done();
                });
        });
    });
});

